Redmine - Feature #36728

Reintroduce lazy loading of i18n files
2022-03-03 22:56 - Pavel Rosicky

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: 118n Estimated time: 0.00 hour
Target version: 5.0.0

Resolution:

Description

this change restores a removed optimization https:/www.redmine.org/issues/31384

see https://github.com/ruby-i18n/i18n/pull/612

diff --git a/lib/redmine/il8n.rb b/lib/redmine/il8n.rb
index bl1066539f..13b84512f 100644

—-—— a/lib/redmine/il18n.rb

+++ b/lib/redmine/il18n.rb

@@ -157,7 +157,7 @@ module Redmine

# Custom backend based on I18n::Backend::Simple with the following changes:
# * available_locales are determined by looking at translation file names
= class Backend < ::I18n::Backend::Simple
iz class Backend < ::I18n::Backend::LazyLoadable
module Implementation
# Get available locales from the translations filenames
def available_locales

Related issues:

Related to Redmine - Patch #31384: Remove custom lazy loading of i18n files Closed
Related to Redmine - Patch #36564: Update 118n to 1.10 Closed
Related to Redmine - Defect #36998: Revert lazy loading of i18n files introdu... Closed

Associated revisions

Revision 21448 - 2022-03-06 18:23 - Marius BALTEANU
Lazy load locales (#36728).

Patch by Pavel Rosicky.

History

#1 - 2022-03-04 01:02 - Go MAEDA
- Related to Patch #31384: Remove custom lazy loading of i18n files added

#2 - 2022-03-04 01:03 - Go MAEDA
- Related to Patch #36564: Update 118n to 1.10 added

#3 - 2022-03-04 02:31 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2022-03-06 18:24 - Marius BALTEANU
- Category set to 118n

- Status changed from New to Resolved

- Assignee set to Marius BALTEANU

- Target version changed from Candidate for next major release to 5.0.0
https://www.redmine.org/issues/31384
https://github.com/ruby-i18n/i18n/pull/612

Patch committed, thanks!

#5 - 2022-03-06 20:37 - Marius BALTEANU

- Status changed from Resolved to Closed

#6 - 2022-03-27 05:00 - Go MAEDA

- Tracker changed from Patch to Feature

#7 - 2022-04-23 10:06 - Go MAEDA
- Related to Defect #36998: Revert lazy loading of i18n files introduced in Redmine 5.0 added

#8 - 2022-05-17 22:41 - Marius BALTEANU
Feature reverted in Redmine 5.0.1 (#36998).
